# Automatically generated file. DO NOT MODIFY
#
# This file is generated by vendor/xiaomi/toco-miuicamera/setup-makefiles.sh

PRODUCT_SOONG_NAMESPACES += \
    vendor/xiaomi/toco-miuicamera/common

PRODUCT_COPY_FILES += \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libCameraEffectJNI.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libCameraEffectJNI.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libarc_layer_sgl.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libarc_layer_sgl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libarcsoft_wideselfie.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libarcsoft_wideselfie.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libcamera_arcsoft_beautyshot.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libcamera_arcsoft_beautyshot.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libcamera_arcsoft_handgesture.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libcamera_arcsoft_handgesture.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libcamera_beauty_mpbase.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libcamera_beauty_mpbase.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libcamera_handgesture_mpbase.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libcamera_handgesture_mpbase.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libcamera_wideselfie_mpbase.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libcamera_wideselfie_mpbase.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libdoc_photo.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libdoc_photo.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libdoc_photo_c++_shared.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libdoc_photo_c++_shared.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libhandengine.arcsoft.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libhandengine.arcsoft.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libjni_arcsoft_beautyshot.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libjni_arcsoft_beautyshot.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libjni_wideselfie.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libjni_wideselfie.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libmiuinative.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libmiuinative.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libmorpho_memory_allocator.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libmorpho_memory_allocator.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libmorpho_panorama_gp3.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libmorpho_panorama_gp3.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/system/lib64/libmorpho_sensor_fusion.so:$(TARGET_COPY_OUT_SYSTEM)/lib64/libmorpho_sensor_fusion.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib/vendor.qti.hardware.camera.device@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.qti.hardware.camera.device@1.0.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib/vendor.qti.hardware.camera.device@2.0.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.qti.hardware.camera.device@2.0.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib/vendor.qti.hardware.camera.device@3.5.so:$(TARGET_COPY_OUT_VENDOR)/lib/vendor.qti.hardware.camera.device@3.5.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@1.0-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@1.0-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@3.2-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@3.2-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@3.3-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@3.3-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@3.4-external-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@3.4-external-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@3.4-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@3.4-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@3.5-external-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@3.5-external-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@3.5-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@3.5-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/camera.device@3.6-external-impl.so:$(TARGET_COPY_OUT_VENDOR)/lib64/camera.device@3.6-external-impl.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/lib_sr_models.so:$(TARGET_COPY_OUT_VENDOR)/lib64/lib_sr_models.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/libsdk_sr.so:$(TARGET_COPY_OUT_VENDOR)/lib64/libsdk_sr.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/vendor.qti.hardware.camera.device@1.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.qti.hardware.camera.device@1.0.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/vendor.qti.hardware.camera.device@2.0.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.qti.hardware.camera.device@2.0.so \
    vendor/xiaomi/toco-miuicamera/common/proprietary/vendor/lib64/vendor.qti.hardware.camera.device@3.5.so:$(TARGET_COPY_OUT_VENDOR)/lib64/vendor.qti.hardware.camera.device@3.5.so

PRODUCT_PACKAGES += \
    MiuiCamera \
    MiuiExtraPhoto
